### Function

# GLib check_version

since: 2.6

#### Declaration

    const gchar*
    glib_check_version (
      guint required_major,
      guint required_minor,
      guint required_micro
    )

#### Description

Checks that the GLib library in use is compatible with the given version.

Generally you would pass in the constants `GLIB_MAJOR_VERSION`, `GLIB_MINOR_VERSION`, `GLIB_MICRO_VERSION` as the three arguments to this function; that produces a check that the library in use is compatible with the version of GLib the application or module was compiled against.

Compatibility is defined by two things: first the version of the running library is newer than the version `required_major`.required_minor.`required_micro`. Second the running library must be binary compatible with the version `required_major`.`required_minor`.`required_micro` (same major version.).

Available since: 2.6

#### Parameters

`required_major`

  Type: `guint`

  The required major version.

`required_minor`

  Type: `guint`

  The required minor version.

`required_micro`

  Type: `guint`

  The required micro version.

#### Return value

Type: `const gchar*`

`NULL` if the GLib library is compatible with the given version, or a string describing the version mismatch. The returned string is owned by GLib and must not be modified or freed.

The data is owned by the called function.
The return value can be `NULL`.
The value is a NUL terminated UTF-8 string.